jvx.geom

## Class PnTree

- java.lang.Object
- - jvx.geom.PnTree

-     public class PnTree
      extends java.lang.Object

  Tree for elements or polygons in one or more PgPointSets.
  Author:
    Ulrich Reitebuch
  Version:
    14.03.03, 1.20 revised (kp) Constructors now all call PnTree(PgPointSet []).
    23.08.02, 1.10 revised (ur) Enabled working with vector of vertices.
    09.04.01, 1.00 created (ur)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PnTree(PgPointSet pointSet)` Constructor for a tree of one PgPointSet
    `PnTree(PgPointSet[] pointSets)` Constructor for a tree of an arbitrary number of PgPointSets
    `PnTree(PgPointSet pointSet0, PgPointSet pointSet1)` Constructor for a tree of two PgPointSets

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addElement(int pointSetIndex, PiVector element)` Compute tree position for a new element.
    `void` | `addElement(PiVector element)` Compute tree position for a new element of PgPointSet #0.
    `boolean` | `compare(int elementIndex0, int elementIndex1)` Compare tree positions of two elements in PgPointSet #0.
    `boolean` | `compare(int pointSetIndex0, int elementIndex0, int pointSetIndex1, int elementIndex1)` Compare tree positions of two elements in different PgPointSets.
    `void` | `removeElement(int elementIndex)` Remove an entry of PgPointSet #0 from tree.
    `void` | `removeElement(int pointSetIndex, int elementIndex)` Remove an entry from tree.
    `void` | `setElement(int pointSetIndex, int elementIndex, PiVector element)` Recompute tree position for an element.
    `void` | `setElement(int elementIndex, PiVector element)` Recompute tree position for an element of PgPointSet #0.
    `void` | `setElements(int pointSetIndex, PiVector[] elements, int numElements)` Compute tree positions for all elements.
    `void` | `setElements(PiVector[] elements, int numElements)` Compute tree positions for all elements of PgPointSet #0.
    `void` | `setVertices(int pointSetIndex, java.util.Vector vertices)` Set vector of vertex positions.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PnTree

          public PnTree(PgPointSet pointSet)

      Constructor for a tree of one PgPointSet

    - #### PnTree

          public PnTree(PgPointSet pointSet0,
                        PgPointSet pointSet1)

      Constructor for a tree of two PgPointSets

    - #### PnTree

          public PnTree(PgPointSet[] pointSets)

      Constructor for a tree of an arbitrary number of PgPointSets

  - ### Method Detail

    - #### setVertices

          public void setVertices(int pointSetIndex,
                                  java.util.Vector vertices)

      Set vector of vertex positions.

    - #### setElements

          public void setElements(PiVector[] elements,
                                  int numElements)

      Compute tree positions for all elements of PgPointSet #0.

    - #### setElements

          public void setElements(int pointSetIndex,
                                  PiVector[] elements,
                                  int numElements)

      Compute tree positions for all elements.

    - #### setElement

          public void setElement(int elementIndex,
                                 PiVector element)

      Recompute tree position for an element of PgPointSet #0.

    - #### setElement

          public void setElement(int pointSetIndex,
                                 int elementIndex,
                                 PiVector element)

      Recompute tree position for an element.

    - #### addElement

          public void addElement(PiVector element)

      Compute tree position for a new element of PgPointSet #0.

    - #### addElement

          public void addElement(int pointSetIndex,
                                 PiVector element)

      Compute tree position for a new element.

    - #### removeElement

          public void removeElement(int elementIndex)

      Remove an entry of PgPointSet #0 from tree.

    - #### removeElement

          public void removeElement(int pointSetIndex,
                                    int elementIndex)

      Remove an entry from tree.

    - #### compare

          public boolean compare(int elementIndex0,
                                 int elementIndex1)

      Compare tree positions of two elements in PgPointSet #0.

    - #### compare

          public boolean compare(int pointSetIndex0,
                                 int elementIndex0,
                                 int pointSetIndex1,
                                 int elementIndex1)

      Compare tree positions of two elements in different PgPointSets.

"

The software JavaView? is copyright protected. All Rights Reserved.
"